using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WebSamples.Entities.Interfaces;

namespace WebSamples.Services.Interfaces
{
    public interface IGeoCityService
    {
        #region Exposed methods

        IList<IGeoCity> GetAllCities();
        IList<IGeoCity> GetCitiesNearBy(double latitude, double longitude, int radius);
        IList<IGeoCity> GetCitiesBounded(double topLeftLat, double topLeftLong,
                                         double botRightLat, double botRightLong);

        #endregion
    }
}
